Answer:
While there are a variety of situations that would generate this error, users may receive this message when their computer system does not meet the minimum system requirements for Palmetto GBA’s eServices.

Due to security requirements, eServices users must ensure that ‘TLS 1.2’ is checked in their browser settings to gain access to the eServices webpage. Older versions e.g., SSL 2.0, SSL, 3.0, TLS 1.0 and TLS 1.1 should remain unchecked. The option is typically located on the Advanced tab under Internet Options in your browser.

To optimize usability of Palmetto GBA's eServices, we recommend that users verify their system adheres to the most current version of minimum system requirements listed in the eServices User Manual (PDF, 8.33 MB).   

Contact Palmetto GBA JJ Part B Medicare

Provider Contact Center: 877-567-7271

Email JJ Part B

Contact a specific JJ Part B department


Click to Chat Now